| etmhmm

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Reports transmembrane helices

## Description

Prediction of transmembrane helices in proteins.

## Usage

Here is a sample session with etmhmm

    % etmhmm
    Reports transmembrane helices
    Input (aligned) protein sequence set: 5h2a_crigr.fsa
    Output file [5h2a_crigr.etmhmm]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

    Reports transmembrane helices
    Version: EMBOSS:6.6.0.0

       Standard (Mandatory) qualifiers:
      [-sequence]          seqset     (Aligned) protein sequence set filename and
                                      optional format, or reference (input USA)
      [-outfile]           outfile    [*.etmhmm] Output file name

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers:
       -html               boolean    [N] Produce html output
       -short              boolean    [N] Produce short output
       -plot               boolean    [N] Produce graphical output
       -one                boolean    [N] Use version 1 model file

       Associated qualifiers:

       "-sequence" associated qualifiers
       -sbegin1            integer    Start of each sequence to be used
       -send1              integer    End of each sequence to be used
       -sreverse1          boolean    Reverse (if DNA)
       -sask1              boolean    Ask for begin/end/reverse
       -snucleotide1       boolean    Sequence is nucleotide
       -sprotein1          boolean    Sequence is protein
       -slower1            boolean    Make lower case
       -supper1            boolean    Make upper case
       -scircular1         boolean    Sequence is circular
       -squick1            boolean    Read id and sequence only
       -sformat1           string     Input sequence format
       -iquery1            string     Input query fields or ID list
       -ioffset1           integer    Input start position offset
       -sdbname1           string     Database name
       -sid1               string     Entryname
       -ufo1               string     UFO features
       -fformat1           string     Features format
       -fopenfile1         string     Features file name

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-sequence] (Parameter 1) | seqset | (Aligned) protein sequence set filename and optional format, or reference (input USA) | Readable set of sequences | Required
[-outfile] (Parameter 2) | outfile | Output file name | Output file | <*>.etmhmm
Additional (Optional) qualifiers
(none)
Advanced (Unprompted) qualifiers
-html | boolean | Produce html output | Boolean value Yes/No | No
-short | boolean | Produce short output | Boolean value Yes/No | No
-plot | boolean | Produce graphical output | Boolean value Yes/No | No
-one | boolean | Use version 1 model file | Boolean value Yes/No | No
Associated qualifiers
"-sequence" associated seqset qualifiers
-sbegin1 -sbegin_sequence | integer | Start of each sequence to be used | Any integer value | 0
-send1 -send_sequence | integer | End of each sequence to be used | Any integer value | 0
-sreverse1 -sreverse_sequence | boolean | Reverse (if DNA) | Boolean value Yes/No | N
-sask1 -sask_sequence | boolean | Ask for begin/end/reverse | Boolean value Yes/No | N
-snucleotide1 -snucleotide_sequence | boolean | Sequence is nucleotide | Boolean value Yes/No | N
-sprotein1 -sprotein_sequence | boolean | Sequence is protein | Boolean value Yes/No | N
-slower1 -slower_sequence | boolean | Make lower case | Boolean value Yes/No | N
-supper1 -supper_sequence | boolean | Make upper case | Boolean value Yes/No | N
-scircular1 -scircular_sequence | boolean | Sequence is circular | Boolean value Yes/No | N
-squick1 -squick_sequence | boolean | Read id and sequence only | Boolean value Yes/No | N
-sformat1 -sformat_sequence | string | Input sequence format | Any string |
-iquery1 -iquery_sequence | string | Input query fields or ID list | Any string |
-ioffset1 -ioffset_sequence | integer | Input start position offset | Any integer value | 0
-sdbname1 -sdbname_sequence | string | Database name | Any string |
-sid1 -sid_sequence | string | Entryname | Any string |
-ufo1 -ufo_sequence | string | UFO features | Any string |
-fformat1 -fformat_sequence | string | Features format | Any string |
-fopenfile1 -fopenfile_sequence | string | Features file name | Any string |
"-outfile" associated outfile qualifiers
-odirectory2 -odirectory_outfile | string | Output directory | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

etmhmm reads any normal sequence USAs.

### Input files for usage example

### File: 5h2a_crigr.fsa

    >5H2A_CRIGR you can have comments after the ID
    MEILCEDNTSLSSIPNSLMQVDGDSGLYRNDFNSRDANSSDASNWTIDGENRTNLSFEGYLPPTCLSILHL
    QEKNWSALLTAVVIILTIAGNILVIMAVSLEKKLQNATNYFLMSLAIADMLLGFLVMPVSMLTILYGYRWP
    LPSKLCAVWIYLDVLFSTASIMHLCAISLDRYVAIQNPIHHSRFNSRTKAFLKIIAVWTISVGVSMPIPVF
    GLQDDSKVFKQGSCLLADDNFVLIGSFVAFFIPLTIMVITYFLTIKSLQKEATLCVSDLSTRAKLASFSFL
    PQSSLSSEKLFQRSIHREPGSYTGRRTMQSISNEQKACKVLGIVFFLFVVMWCPFFITNIMAVICKESCNE
    HVIGALLNVFVWIGYLSSAVNPLVYTLFNKTYRSAFSRYIQCQYKENRKPLQLILVNTIPALAYKSSQLQA
    GQNKDSKEDAEPTDNDCSMVTLGKQQSEETCTDNINTVNEKVSCV

## Output file format

### Output files for usage example

### File: 5h2a_crigr.etmhmm

    # 5H2A_CRIGR Length: 471
    # 5H2A_CRIGR Number of predicted TMHs:  7
    # 5H2A_CRIGR Exp number of AAs in TMHs: 159.47336
    # 5H2A_CRIGR Exp number, first 60 AAs:  0.01677
    # 5H2A_CRIGR Total prob of N-in:        0.00629
    5H2A_CRIGR	TMHMM2.0	outside	     1    76
    5H2A_CRIGR	TMHMM2.0	TMhelix	    77    99
    5H2A_CRIGR	TMHMM2.0	inside	   100   111
    5H2A_CRIGR	TMHMM2.0	TMhelix	   112   134
    5H2A_CRIGR	TMHMM2.0	outside	   135   148
    5H2A_CRIGR	TMHMM2.0	TMhelix	   149   171
    5H2A_CRIGR	TMHMM2.0	inside	   172   191
    5H2A_CRIGR	TMHMM2.0	TMhelix	   192   214
    5H2A_CRIGR	TMHMM2.0	outside	   215   233
    5H2A_CRIGR	TMHMM2.0	TMhelix	   234   256
    5H2A_CRIGR	TMHMM2.0	inside	   257   324
    5H2A_CRIGR	TMHMM2.0	TMhelix	   325   347
    5H2A_CRIGR	TMHMM2.0	outside	   348   356
    5H2A_CRIGR	TMHMM2.0	TMhelix	   357   379
    5H2A_CRIGR	TMHMM2.0	inside	   380   471

## Data files

None.

## Notes

None.

## References

1. Anders Krogh and Bjorn Larsson, Gunnar von Heijne, and Erik L.L. Sonnhammer: Predicting Transmembrane Protein Topology with a Hidden Markov Model: Application to Complete Genomes. J. Mol. Biol. 305:567-580, 2001.
2. Erik L.L. Sonnhammer, Gunnar von Heijne, and Anders Krogh: A hidden Markov model for predicting transmembrane helices in protein sequences. In J. Glasgow et al., eds.: Proc. Sixth Int. Conf. on Intelligent Systems for Molecular Biology, pages 175-182. AAAI Press, 1998.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
echlorop | Report presence of chloroplast transit peptides
elipop | Predict lipoproteins
esignalp | Report protein signal cleavage sites
sigcleave | Report on signal cleavage sites in a protein sequence
siggenlig | Generate ligand-binding signatures from a CON file
sigscan | Generate hits (DHF file) from a signature search
tmap | Predict and plot transmembrane segments in protein sequences
topo | Draw an image of a transmembrane protein

## Author(s)

This program is an EMBOSS wrapper for a program written by the CBS group http://www.cbs.dtu.dk/index.shtml

The original CBS group application must be licensed and installed to use this wrapper.

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None